# TAG Security Publications

This document lists all the publications and resources that TAG Security has
produced.

## Cloud Native Security Whitepaper

The Cloud Native Security Whitepaper (CNSWP) is a TAG Security effort to ensure
the cloud native community has access to information about building,
distributing, deploying, and running secure cloud native capabilities.

- [Markdown](https://github.com/cncf/tag-security/blob/main/security-whitepaper/v2/cloud-native-security-whitepaper.md)
  (v2)
- [PDF](https://www.cncf.io/wp-content/uploads/2022/06/CNCF_cloud-native-security-whitepaper-May2022-v2.pdf)
  (v2)
- [Audio](https://soundcloud.com/user-769472014/sets/cncf-tag-security-cloud-native-security-whitepaper-version-v1)
  (v1)

Translations

- [Portuguese](https://github.com/cncf/tag-security/blob/main/security-whitepaper/v1/cloud-native-security-whitepaper-brazilian-portugese.md)
  (v1)
- [Chinese](https://github.com/cncf/tag-security/blob/main/security-whitepaper/v1/cloud-native-security-whitepaper-simplified-chinese.md)
  (v1)

## Supply Chain Security

### Software Supply Chain Best Practices

The Software Supply Chain Security Paper is a TAG Security effort to ensure the
cloud native community has access to information about building, distributing,
deploying, and running secure software supply chains.

- [Markdown](https://github.com/cncf/tag-security/blob/main/supply-chain-security/supply-chain-security-paper/sscsp.md)
- [PDF](https://github.com/cncf/tag-security/raw/main/supply-chain-security/supply-chain-security-paper/CNCF_SSCP_v1.pdf)

### Evaluating your supply chain security

A framework for supply chain evaluation

- [Markdown](https://github.com/cncf/tag-security/blob/main/supply-chain-security/supply-chain-security-paper/secure-supply-chain-assessment.md)

### Secure Software Factory

A reference architecture for securing the software supply chain

- [Markdown](https://github.com/cncf/tag-security/blob/main/supply-chain-security/secure-software-factory/secure-software-factory.md)
- [PDF](https://github.com/cncf/tag-security/raw/main/supply-chain-security/secure-software-factory/Secure_Software_Factory_Whitepaper.pdf)

### Catalog of Supply Chain Compromises

A catalog of supply chain compromises and links to relevant articles discussing
them

- [Markdown](https://github.com/cncf/tag-security/tree/main/supply-chain-security/compromises)

## Cloud Native Security Lexicon

Standardization of terminologies specific to Cloud Native Security

- [Markdown](https://github.com/cncf/tag-security/blob/main/security-lexicon/cloud-native-security-lexicon.md)

## Use Cases & Personas

List of use cases to enable secure access, policy control and safety for users
of cloud native technology

- [Markdown](https://github.com/cncf/tag-security/blob/main/usecase-personas/README.md)

## Policy

### Formal Verification for Policy Configurations

- [Markdown](https://github.com/cncf/tag-security/blob/main/policy/overview-policy-formal-verification.md)

### Handling build-time dependency vulnerabilities

- [Markdown](https://github.com/cncf/tag-security/blob/main/policy/overview-policy-build-time-dependency-vulns.md)

## Secure Defaults: Cloud Native 8

- [Markdown](https://github.com/cncf/tag-security/blob/main/security-whitepaper/secure-defaults-cloud-native-8.md)

## Cloud Native Security Controls Catalog

Mapping of Cloud Native Security Whitepaper and Software Supply Chain Best
Practices Paper to NIST SP800-53r5

- [Markdown](https://github.com/cncf/tag-security/blob/main/cloud-native-controls/phase-one-announcement.md)
- [Spreadsheet](https://docs.google.com/spreadsheets/d/1GUohOTlLw9FKUQ3O23X7ypvJLXN-B3veJGe6YE6JYfU/edit?usp=sharing)

## Security Assessments

TAG Security has conducted security assessments of several CNCF projects. These
assessments are available to the public.

- [Buildpacks](https://github.com/cncf/tag-security/tree/main/assessments/projects/buildpacks)
- [Cloud
  Custodian](https://github.com/cncf/tag-security/tree/main/assessments/projects/custodian)
- [Harbor](https://github.com/cncf/tag-security/tree/main/assessments/projects/harbor)
- [In-toto](https://github.com/cncf/tag-security/tree/main/assessments/projects/in-toto)
- [Keycloak](https://github.com/cncf/tag-security/tree/main/assessments/projects/keycloak)
- [Kyverno](https://github.com/cncf/tag-security/tree/main/assessments/projects/kyverno)
- [OPA](https://github.com/cncf/tag-security/tree/main/assessments/projects/opa)
- [Spiffe-Spire](https://github.com/cncf/tag-security/tree/main/assessments/projects/spiffe-spire)
